#################################################
#
#  (C) 2013 Alexander Golubev 
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TDE_INCLUDE_DIR}/dom
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### konqsidebar_metabar (kpart) ###############

tde_add_kpart( konqsidebar_metabar AUTOMOC
  SOURCES metabar.cpp metabarwidget.cpp configdialog.cpp serviceloader.cpp
    defaultplugin.cpp protocolplugin.cpp settingsplugin.cpp remoteplugin.cpp
    httpplugin.cpp metabarfunctions.cpp
  LINK tdehtml-shared konq-shared konqsidebarplugin-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

install( FILES metabar_add.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
)

install( FILES default.css layout.html
  DESTINATION ${DATA_INSTALL_DIR}/metabar/themes/default
)

install( FILES iconsrc
  DESTINATION ${DATA_INSTALL_DIR}/metabar
)

install( FILES metabar.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries
)
